package com.jpattern.orm.query;

/**
 * 
 * @author Francesco Cina
 *
 * 09/lug/2011
 */
public interface ISqlExecute  {

	/**
	 * execute the sql statement and doesn't return any information about the rows modified.
	 */
	void execute();
	
	/**
	 * Set the query timeout for the query.
	 */
	public abstract void setQueryTimeout(int queryTimeout);

	/**
	 * Return the query timeout for the query.
	 */
	public abstract int getQueryTimeout();
	
}
